.*------------------------------------------------------------------------*
.* Yet Another GetKey for REXX                                            *
.*========================================================================*
.* Copyright (c) 2015 VicTor Smirnoff                   iamvic@rambler.ru *
.*                                                                        *
.* Permission is hereby granted, free  of charge, to any person obtaining *
.* a  copy  of  this  software   and   associated   documentation   files *
.* (the  "Software"),  to  deal  in  the  Software  without  restriction, *
.* including without limitation  the rights  to use, copy, modify, merge, *
.* publish, distribute, sublicense,  and/or  sell copies of the Software, *
.* and  to permit persons  to whom  the Software  is furnished  to do so, *
.* subject to the following conditions:                                   *
.*                                                                        *
.* The above  copyright  notice  and  this  permission  notice  shall  be *
.* included in all copies or substantial portions of the Software.        *
.*                                                                        *
.* THE SOFTWARE  IS PROVIDED  "AS IS",  WITHOUT  WARRANTY  OF  ANY  KIND, *
.* EXPRESS OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO THE WARRANTIES OF *
.* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. *
.* IN NO EVENT SHALL  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE  FOR ANY *
.* CLAIM, DAMAGES OR OTHER LIABILITY,  WHETHER IN AN ACTION  OF CONTRACT, *
.* TORT  OR  OTHERWISE,  ARISING  FROM,  OUT  OF  OR  IN  CONNECTION WITH *
.* THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.             *
.*------------------------------------------------------------------------*
:h2 id='en_notes'.Some Notes
:font facename='Courier' size=14x8 codepage=850.
:p.
:hp2.4. Some Notes.:ehp2.
:p.
:hp2.About features of implementation.:ehp2.
:p.
The yaGetKey function is based on the KbdCharIn function.
Therefore the yaGetKey function returns values as keystrokes
that can be produced by the KbdCharIn function.
:p.
The yaGetKey function returns double-byte scancode only for those keystrokes
in which the bit 1 is established in the fbStatus field of KBDKEYINFO structure
except two cases.
Since KbdCharIn processes the Enter and Slash (/) keystrokes on the additional
digital keyboard in a special way (establishes bit 1 in the fbStatus field,
but the 0xE0 value puts to the chScan field, and translated character puts
to chChar field, and not vice versa), then the yaGetKey function returns
the one-byte character (the chChar field) despite the established bit 1
in the fbStatus field for these keys.
:p.
:hp2.About VirtualBox.:ehp2. 
:p.
If the wait time is restricted and the timeout expired or the switches status 
changed then the yaGetKey function can return the invalid switches status. 
It is a VirtualBox problem.
:p.
:hp2.About unaided compiling.:ehp2. 
:p.
The .\SOURCE directory of the distribution package contains everything 
needed for unaided compiling of program files and documents by tools 
of Open Watcom C Compiler v1.9&colon.
:ul compact.
:li.the compiling scenario (makefile),
:li.source codes of programs (.\SOURCE\C) and documentation (.\SOURCE\INF).
:eul.
:p.
Getting Started&colon.
:ul compact.
:li.install Open Watcom C Compiler v1.9 to your OS/2 (if it is not installed),
:li.unzip the distribution package to your work directory, i.e. 
x&colon.\yaGetKey,
:li.start the OS/2 command line session, 
:li.change the current directory to x&colon.\yaGetKey\SOURCE, 
:li.execute one of the commands&colon.
:ul compact.
:li.:hp2.WMAKE:ehp2. (for full compiling)
:li.:hp2.WMAKE DLL:ehp2. (only DLL compiling)
:li.:hp2.WMAKE INF:ehp2. (only INF compiling)
:eul.
:eul.
:p.
:font facename='default' size=0x0.